Page MenuHomePhabricator

webservice: replace .webservicerc with service.template
Closed, ResolvedPublic

Description

The $HOME/.webservicerc feature of webservice allows setting a default --backend value, but does not provide support of other flags in the same way that $HOME/service.template and --template do.

Let's make sure that every tool that has a .webservicerc has a service.template which at least sets --backend and then remove support for .webservicerc from webservice.

Event Timeline

bd808 created this task.Jul 6 2020, 4:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 6 2020, 4:46 PM
bd808 triaged this task as Medium priority.Jul 6 2020, 4:51 PM

Current $HOME/.webservice using tools:

admin
admin-beta
afrobot
author-disambiguator
bambots
bash
bd808-test
blubber
bridgebot
cewbot
checkwiki
citing-bot
clpo13-flask
csp-report
deadlinkfinder
depiction-game
dicompte
dumpcattree
findit
fourohfour
genealogy
genedb
github-pr-closer
grantmetrics-test
grid-jobs
gsoc
hartman
heritage
integraality
jouncebot
k8s-status
locator
morfeusz
my-first-flask-tool
mysql-php-session-test
nominatim
openstack-browser-dev
os-deprecation
pbbot
petscan-md
rmstats
sge-jobs
sge-status
shexstatements
spacemedia
stashbot
tabernacle
timescale
toolviews
translation-server
trusty-tools
ukbot
vipbot
wd-depicts
webarchivebot
wikiloop
wikiloves
wikyrillomat
zoomviewer
zoranzoki21bot
zoranzoki21wiki

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:28:55Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:47:16Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:47:25Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:47:32Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:47:44Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:48:00Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:48:02Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:48:04Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:48:06Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:48:07Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:48:09Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:48:10Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:48:12Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:48:14Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:48:15Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:48:17Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:48:18Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:48:21Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:48:24Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:48:26Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:48:29Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:51:06Z] <wm-bot> <bd808> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:51:43Z] <wm-bot> <bd808> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:52:09Z] <wm-bot> <bd808> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:53:24Z] <wm-bot> <bd808> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:54:31Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:55:41Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:55:47Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:55:53Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:55:59Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:56:05Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:56:11Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:56:17Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:56:23Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:56:29Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T22:57:26Z] <wm-bot> <bd808> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T23:03:16Z] <wm-bot> <bd808> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T23:03:36Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T23:03:42Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T23:03:48Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T23:03:54Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T23:04:00Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T23:04:06Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T23:04:12Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T23:04:18Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T23:04:24Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T23:04:31Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T23:04:37Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T23:04:43Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T23:04:49Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T23:04:56Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T23:05:03Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T23:05:09Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T23:05:15Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T23:05:22Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T23:05:27Z] <wm-bot> <root> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T23:06:32Z] <wm-bot> <bd808> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T23:06:52Z] <wm-bot> <bd808> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T23:07:12Z] <wm-bot> <bd808> Migrated .webservicerc to service.template (T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-06T23:07:30Z] <wm-bot> <bd808> Migrated .webservicerc to service.template (T257229)

bd808 added a comment.Jul 6 2020, 11:08 PM

All cleaned up!

$ sudo ls /data/project/*/.webservicerc
ls: cannot access '/data/project/*/.webservicerc': No such file or directory

Change 609857 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[operations/software/tools-webservice@master] Remove $HOME/.webservicerc support

https://gerrit.wikimedia.org/r/609857

Change 609857 merged by jenkins-bot:
[operations/software/tools-webservice@master] Remove $HOME/.webservicerc support

https://gerrit.wikimedia.org/r/609857

Mentioned in SAL (#wikimedia-cloud) [2020-07-07T23:19:45Z] <bd808> Deploying webservice v0.73 via clush (T234617, T257229)

Mentioned in SAL (#wikimedia-cloud) [2020-07-07T23:22:53Z] <bd808> Rebuilding all Docker images to pick up webservice v0.73 (T234617, T257229)

bd808 closed this task as Resolved.Jul 9 2020, 7:19 PM